Bug 476863 - Various netpbm tools failing on RHEL4
Various netpbm tools failing on RHEL4
Status: CLOSED DUPLICATE of bug 479016
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netpbm (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE
:
Depends On: 479016
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 11:08 EST by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 13:13:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2008-12-17 11:08:27 EST
Description of problem:

Basic functionality testing revealed that quite a many netpbm
tools fail to work on RHEL4 --- either aborting, segfaulting or
reporting various errors.

Following tools do not work: ppmtoeyuv, ppmtouil, pnmtoddif,
pamtohtmltbl, pamtojpeg2k and pamtouil. For more details see below.

Version-Release number of selected component (if applicable):
netpbm-10.25-2.1.el4_7.2.x86_64
netpbm-10.25-2.1.el4_7.2.i386
netpbm-progs-10.25-2.1.el4_7.2.x86_64

How reproducible:
Always

Steps to Reproduce:
generally something like:
cat image.pbm | pnmtosomeformat > converted.someformat

Testing details:
Testing ppmtoeyuv on test.ppm (Expected 0, got 134)
    Aborted

Testing ppmtouil on test.ppm (Expected 0, got 134)
    *** glibc detected *** double free or corruption (fasttop):
    0x0000000000553170 ***
    Aborted

Testing pnmtoddif on test.pgm (Expected 0, got 134)
    *** glibc detected *** free(): invalid next size (normal):
    0x0000000000503010 ***
    Aborted

Testing pamtohtmltbl on test.pbm (Expected 0, got 1)
Testing pamtohtmltbl on test.pgm (Expected 0, got 1)
Testing pamtohtmltbl on test.ppm (Expected 0, got 1)
    pamtohtmltbl: Unable to allocate space for 'outputted' array

Testing pamtojpeg2k on test.pbm (Expected 0, got 1)
Testing pamtojpeg2k on test.pgm (Expected 0, got 1)
Testing pamtojpeg2k on test.ppm (Expected 0, got 1)
    pamtojpeg2k: Unable to create jasper image structure.
    jas_image_create() failed.

Testing pamtouil on test.pbm (Expected 0, got 134)
Testing pamtouil on test.pgm (Expected 0, got 134)
Testing pamtouil on test.ppm (Expected 0, got 134)
    *** glibc detected *** double free or corruption (fasttop):
    0x000000000052bd90 ***
    Aborted
Comment 1 Petr Šplíchal 2008-12-17 11:17:59 EST
In addition, pnmtotiffcmyk fails too --- because of the LZW patent issue.
But this patent has already expired, AFAIK.

Testing pnmtotiffcmyk on test.pbm (Expected 0, got 4)
Testing pnmtotiffcmyk on test.pgm (Expected 0, got 4)
Testing pnmtotiffcmyk on test.ppm (Expected 0, got 4)
    Standard Output: LZW compression is not available to due to Unisys patent enforcement.
Comment 3 Petr Šplíchal 2008-12-18 06:11:01 EST
cmuwmtopbm fails on self generated cmuwm file

# pbmtocmuwm test.pbm >test.cmuwm

# file test.cmuwm
test.cmuwm: CMU window manager raster image data 1677721600 x 1677721600,

# cmuwmtopbm test.cmuwm >back.pbm
cmuwmtopbm: bad magic number in CMU window manager file
Comment 5 Jindrich Novy 2009-01-14 13:13:58 EST
Closing as dupe of 479016.

*** This bug has been marked as a duplicate of bug 479016 ***
Comment 6 Fedora Update System 2009-01-29 18:08:51 EST
netpbm-10.35.58-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Petr Šplíchal 2009-02-11 09:35:53 EST
Additional information about the expired patent (comment #1):

Unisys U.S. LZW Patent No. 4,558,302 expired on June 20, 2003, the counterpart patents in the United Kingdom, France, Germany and Italy expired on June 18, 2004, the Japanese counterpart patents expired on June 20, 2004 and the counterpart Canadian patent expired on July 7, 2004. 

http://www.unisys.com/about__unisys/lzw
Comment 8 Petr Šplíchal 2009-03-13 06:32:48 EDT
The LZW issue is caused by libtiff bug 490097.

Note You need to log in before you can comment on or make changes to this bug.